#[derive(Clone,Copy)]
pub struct NumberSequence{}
impl NumberSequence{
	pub const fn new()->Self{
		Self{}
	}
}
impl Into<rbx_types::NumberSequence> for NumberSequence{
	fn into(self)->rbx_types::NumberSequence{
		rbx_types::NumberSequence{
			keypoints:Vec::new()
		}
	}
}

pub fn set_globals(lua:&mlua::Lua,globals:&mlua::Table)->Result<(),mlua::Error>{
	let number_sequence_table=lua.create_table()?;

	number_sequence_table.raw_set("new",
		lua.create_function(|_,_:mlua::MultiValue|
			Ok(NumberSequence::new())
		)?
	)?;

	globals.set("NumberSequence",number_sequence_table)?;

	Ok(())
}

impl mlua::UserData for NumberSequence{}
type_from_lua_userdata!(NumberSequence);
